## cascading.flow
Interface FlowElement

All Known Implementing Classes:
  AggregateBy, AverageBy, Coerce, CoGroup, CountBy, Dfs, Each, ElementGraph.Extent, Every, GlobHfs, Group, GroupBy, Hfs, Lfs, MultiSinkTap, MultiSourceTap, MultiTap, Operator, Pipe, Rename, S3fs, Shape, SinkTap, SourceTap, SubAssembly, SumBy, Tap, TempHfs, TemplateTap, Unique

    public interface FlowElement

Interface FlowElement is a utility interface used internally to simplify DAG management.

Method Summary
`boolean` `isEquivalentTo(FlowElement element)`
`Scope` `outgoingScopeFor(Set<Scope> incomingScopes)` Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.
`Fields` `resolveFields(Scope scope)` Method resolveFields returns the actual field names represented by the given Scope.
`Fields` `resolveIncomingOperationFields(Scope incomingScope)` Method resolveIncomingOperationFields resolves the incoming scopes to the actual incoming operation field names.

Method Detail

### outgoingScopeFor

    Scope outgoingScopeFor(Set<Scope> incomingScopes)

  Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.

  Parameters:
    `incomingScopes` - of type Set<Scope>
  Returns:
    Scope

### resolveIncomingOperationFields

    Fields resolveIncomingOperationFields(Scope incomingScope)

  Method resolveIncomingOperationFields resolves the incoming scopes to the actual incoming operation field names.

  Parameters:
    `incomingScope` - of type Scope
  Returns:
    Fields

### resolveFields

    Fields resolveFields(Scope scope)

  Method resolveFields returns the actual field names represented by the given Scope. The scope may be incoming or outgoing in relation to this FlowElement instance.

  Parameters:
    `scope` - of type Scope
  Returns:
    Fields

### isEquivalentTo

    boolean isEquivalentTo(FlowElement element)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.